<?php
include("../db.php");
$requestData= $_REQUEST;
$columns = array( 
	0 =>  'id_branch',
	1 =>  'name_branch'
);

$sql = "
SELECT * FROM `branch`
where `active_branch` = '0'
";
$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "
SELECT * FROM `branch`
where `active_branch` = '0'
";
if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( id_branch LIKE '".$requestData['search']['value']."%'  ";
	$sql.=" OR name_branch LIKE '".$requestData['search']['value']."%' )";    
}
$query=mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
while( $row=mysqli_fetch_array($query)) {
	$nestedData=array(); 
	$nestedData[] = $row["id_branch"];
	$nestedData[] = $row["name_branch"];
	$nestedData[] = "<button type='button' class='btn btn-danger' onclick=del_table_1('".$row['id_branch']."',1)>حذف</button>
	<button type='button' class='btn btn-success'  onclick='get_branch(".$row['id_branch'].")'>تعديل</button>
	";
	
	$data[] = $nestedData;
}

$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);

?>



